<!-- eslint-disable @angular-eslint/template/eqeqeq -->
<div>
    <div class="mb-4 border rounded" *ngFor="let user of userList">
        <ngb-accordion #acc="ngbAccordion">
            <ngb-panel id="toggle-1" [title]="getFullName(user)">
                <ng-template ngbPanelContent>
                        <ul class="mt-2">
                            <li><span class="text-muted">{{'employee.tableStatus' | translate}}</span></li>
                            <span class="status small mb-2">{{user?.conclusionStatus?.name}}</span>
                            <li>
                                <span class="text-muted">{{'employee.conclusion' | translate}}</span>

                            </li>
                            <ol class="ps-0 mb-2">
                                <li class="d-flex justify-content-between" *ngFor="let doc of user?.documents">
                                    
                                    <div class="text-center download" (click)="save(doc, doc?.title)">
                                        <i class="bi bi-file-earmark-arrow-down fs-1"></i>
                                        <p class="mb-0">{{doc?.title}}</p>
                                    </div>
                                    <div class="ms-2">
                                    <span class="btn btn-transparent float-end" (click)="history(doc?.id)"><i class="bi bi-clock-history"></i></span>
                                    </div>
                                    <div class="d-flex flex-column ms-auto">
                                        <div *ngIf="permission.RevisionConclusion && !doc?.needsRevision">
                                            <button class="btn btn-outline-secondary btn-sm" (click)="docRevision(doc?.id)">{{'employee.sendToRevision' | translate}}</button>
                                        </div>
                                        <span class="text-muted small" *ngIf="!!doc?.revisionComment">{{'employee.request' | translate}}</span>
                                        <div *ngIf="doc?.needsRevision && authService.id == user?.sender.id">
                                          <button class="btn btn-outline-dark btn-sm mx-2" (click)="docRevisionfix(doc?.id)">{{'employee.revision' | translate}}</button>  
                                        </div>
                                        <span class="small text-muted">{{doc?.revisionRequestDate | date: "dd MMMM yyyy, HH:mm"}}</span>
                                        <span class="small text-muted">{{doc?.revisionComment}}</span>
                                    </div>
                                </li>
                            </ol>
                            <li><span class="text-muted">{{'employee.comment' | translate}}</span></li>
                            <span class="small">{{user?.comment}}</span>
                        </ul>
                    <button *ngIf="authService.id == user?.sender.id" class="btn btn-outline-secondary ms-3 btn-sm"(click)="applicationRevision(user)">{{'employee.edit' | translate}}</button>
                </ng-template>
            </ngb-panel>
        </ngb-accordion>
        <div class="d-flex justify-content-between mx-2 mb-2">
            <span class="text-muted small">{{user?.sender?.employeeDTO?.serviceGroup?.name}}</span>
            <div class="text-muted small">{{user.creationDate | date: 'dd MMMM yyyy, HH:mm'}}</div>
        </div>
    </div>
</div>


<ng-template #redo>
    <div class="card">
        <div class="card-header">
          <span class="fs-4">{{'employee.editConclusion' | translate}}</span>
          <button class="btn-close float-end my-auto"(click)="close()"></button>
        </div>
        <div class="card-body">
            <form [formGroup]="form" (ngSubmit)="submit()">
                <div class="d-flex">
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="Одобрен" name="status" formControlName="status">
                        <label class="form-check-label">{{'employee.assign' | translate}}</label>
                    </div>
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="На доработку" name="status" formControlName="status">
                        <label class="form-check-label">{{'employee.cancel' | translate}}</label>
                    </div>
                </div>
                <div class="form-floating mt-3">
                    <textarea class="form-control" id="floatingTextarea" style="height: 100px" formControlName="comment"></textarea>
                    <label for="floatingTextarea">{{'employee.yourComment' | translate}}</label>
                  </div>
                <div class="mt-5">
                    <button class="btn btn-dark" type="submit" [disabled]="!form.valid">{{'employee.attachNassaign' | translate}}</button>
                </div>
            </form>
        </div>
    </div>
</ng-template>
